Changelog
Loading changelog...
| Version | Release Date | Type | Description |
|---|---|---|---|
| 1.0.93 | 2024-03-21 | Changed | Allowed characters for the field recId are a-zA-Z0-9.,_-. The fieldrecId is limited to 512 characters |
| 1.0.94 | 2024-04-19 | Fixed | Fixed a bug with circle parameter. If invalid values where passed, the job crashed. This has been fixed. A related error message is written to error file and the job continues. |
| 1.0.94 | 2024-04-19 | Added | Add support for showMapReferences parameter. See Geocoding and Search API Reference for details |
| 1.1.0 | 2024-06-06 | Added | Supports new estimatedPointAddress flag for point addresses in GS7 response. See API reference for details. |
| 1.1.0 | 2024-06-06 | Other | Now status of service is available on the Platform Status Page |
| 1.10.0 | 2024-10-25 | Added | Added support for CmId and Side in MapReference Links |
| 1.11.0 | 2024-11-04 | Added | Added support for postalCodeMode parameter in Forward Geocoder |
| 1.12.0 | 2024-11-14 | Other | Internal improvements and optimizations. |
| 1.13.0 | 2024-12-05 | Changed | Delete of jobs (DELETE /batch/jobs) requires parameter status now. status=any has the same behavior as without status property before - delete all jobs. This should help avoid deleting all jobs accidentally, e.g. due to a typo. |
| 1.14.0 | 2024-12-12 | Other | Internal improvements and optimizations. |
| 1.15.0 | 2024-12-19 | Other | Internal improvements and optimizations. |
| 1.16.0 | 2025-01-17 | Added | Add support for addressNamesMode parameter for geocode service. |
| 1.16.0 | 2025-01-17 | Fixed | Fixed resources consumption in case of premature close of a connection by client. |
| 1.16.0 | 2025-01-17 | Other | Internal improvements and optimizations. |
| 1.16.0 | 2025-01-17 | Changed | Trim input fields before usage |
| 1.17.0 | 2025-02-06 | Documentation | Update links to new documentation pages at https://here.com/docs |
| 1.17.0 | 2025-02-06 | Other | Improve internal cleanup. |
| 1.17.0 | 2025-02-06 | Fixed | Fixed update of some counters during processing. |
| 1.18.0 | 2025-02-13 | Documentation | IMPORTANT! Note deprecation notice about Alternative property values. |
| 1.18.0 | 2025-02-13 | Performance | Handling of failing jobs improved. |
| 1.18.3 | 2025-03-13 | Fixed | An issue has been fixed with at parameter for Reverse Geocoder jobs. The coordinates have not been processed right. |
| 1.2.0 | 2024-06-25 | Performance | Execution of records within a job is dynamic now. This should increase the throughput in most cases and reduce the overall duration. |
| 1.22.0 | 2025-03-20 | Performance | Internal re-architecture of job processing. This will increase over all throughput and speed up job processing. Especially small jobs have a higher chance of being processed faster. |
| 1.23.0 | 2025-03-27 | Performance | Utilize more regions Geocoding & Search is deployed in. This should further increase throughput and reduce job duration. |
| 1.23.1 | 2025-04-23 | Fixed | Fixed an error that occurs if a line has not all columns, and the index of recId column is larger than the number of columns in that line. |
| 1.24.0 | 2025-04-28 | Other | Internal improvements and optimizations around monitoring, exception handling and clean up. |
| 1.25.0 | 2025-05-26 | Performance | Further throughput improvement by utilizing GS7 regional endpoints. |
| 1.26.0 | 2025-06-05 | Fixed | Fix for the on-premise hosted version. |
| 1.27.0 | 2025-07-03 | Fixed | Fix rare occurrence of invalid job records being counted wrong during job processing. |
| 1.27.0 | 2025-07-03 | Fixed | Properly handle 403 responses from GS7 to prevent jobs from cycling. |
| 1.28.1 | 2025-08-07 | Other | Internal change to enhance security and monitoring |
| 1.28.1 | 2025-08-07 | Added | Support new /v7 base URL to match with major version. Note: for now, the /v1 path will remain active but it is strongly recommended to migrate to v7 URLs at earliest convenience as /v1 will be decommissioned at some point in the future. |
| 1.3.0 | 2024-07-05 | Fixed | Account for changes in GS7 API responses to fix showMapReferences=links. |
| 1.3.0 | 2024-07-05 | Added | Support additional values in mapReferences section of GS7 responses: adminIds, cmVersion |
| 1.3.0 | 2024-07-05 | Added | Support new parameter "showNavAttributes" with values "functionalClass" and "access". Support additional values in navAttributes section of GS7 responses: functionalClass and access. |
| 1.4.0 | 2024-08-07 | Fixed | Delete endpoint for multiple jobs now works as expected even for a very large number of jobs. |
| 1.5.0 | 2024-08-28 | Added | (ALPHA) Users can request partial results when selecting jsonl as outputType. Leave outputFormat empty to receive full GS7 responses. |
| 1.8.0 | 2024-09-19 | Fixed | If a Content-Encoding header was set, which did not match the actual content, the service returned a 500 error. This has changed and a correct 400 with related message is returned. |
| 1.8.0 | 2024-09-19 | Performance | Depending on overall utilization of OLS Batch service instances we dynamically allow more than two active jobs per user. The user just submits their jobs as usual, the backend will decide if more than two can be executed in parallel. |
| 1.9.0 | 2024-09-30 | Other | Internal improvements and optimizations. |
| 7.30.0 | 2025-09-18 | Fixed | Documentation had section about default values as query parameter. The described behavior was never implemented. See Input Data - Default values about how this can be done. The erroneous sections are kept for reference at Default values as query parameter |
| 7.30.0 | 2025-09-18 | Documentation | IMPORTANT! Note update of deprecation notice about Alternative property values. The list of properties got split into two stages. Stage 1 will be removed from January 2026 on. Stage 2 is not defined yet. |
| 7.30.0 | 2025-09-18 | Documentation | The documentation went through a full review. A lot has been added or moved around. Overall the quality of the user guide improved. |
| 7.30.0 | 2025-09-18 | Other | Internal improvements and optimizations. |
| 7.30.0 | 2025-09-18 | Changed | As announced the job lifecycle has been changed with regards to stopping a job. See Job lifecycle for details. |
| 7.30.0 | 2025-09-18 | Other | The Notification feature moved from ALAPH to BETA level. |
| 7.30.0 | 2025-09-18 | Security | Update of libraries due to security vulnerability. |
| 7.30.0 | 2025-09-18 | Other | The major software version moved to 7 (from 1) to match the product verions. There are no breaking changes all major versions 2-6 don't exist. |
| 7.30.2 | 2025-09-19 | Fixed | Internal fix around cleanup of jobs. No customer impact. |
| 7.31.0 | 2025-11-20 | Documentation | Add note about rate limits to Limits and performance page. |
| 7.31.0 | 2025-11-20 | Fixed | Do not count jobs in stopped state to queue length limit. Since lifecycle change stopped jobs cannot be started again. So they don't count for queue length. |
| 7.31.0 | 2025-11-20 | Added | Add some missing mappings and related tests. |
| 7.32.0 | 2025-11-20 | Fixed | Fix error message related to malformed multipart upload. The service does not support multipart uploads. A malformed multipart request caused a 500 response. This is handled correctly now and a 415 "Unsupported Media Type" is returned. |
| 7.32.0 | 2025-11-20 | Documentation | Add lookup job example. See Lookup |
| 7.32.0 | 2025-11-20 | Security | Update of libraries due to security vulnerability. |
| 7.33.0 | 2025-12-04 | Changed | The notification mechanism has been updated from synchronous sending within the job to asynchronous processing after job completion. This change improves the robustness of notification handling and decouples notification processing from the main job execution. |
| 7.34.0 | 2026-01-20 | Removed | The Batch API accepted a wide range of alternative names for output columns, which were deprecated in release 7.30.0 and grouped into two stages. The ones in Stage 1 have now been removed. |
| 7.35.0 | 2026-02-12 | Performance | Individual Service throughput has been optimized. This improvement is expected to significantly reduce the time taken for job execution, particularly for larger workloads, and enhance overall system efficiency. |
| 7.36.0 | 2026-03-20 | Deprecated | IMPORTANT! Note update of deprecation notice about Alternative property values. Stage 2 is announced for removal starting October 2026. |
| 7.36.0 | 2026-03-20 | Fixed | Fix a race condition which caused inconsistent counters in rare cases. |
| 7.36.0 | 2026-03-20 | Added | Add support for GS7 API 7.149. Mapping for referencesCategoriesId added (lookup only) |
| 7.37.0 | 2026-05-18 | Other | Internal logging improvement. |
| 7.38.0 | 2026-07-16 | Security | Updated dependencies to address security vulnerabilities. |
| 7.40.0 | 2026-08-13 | Other | Fixed error in the internal reporting module |
| 7.40.0 | 2026-08-13 | Documentation | Add Swagger UI cache und parameter update functionality. |
| 7.40.2 | 2026-09-18 | Documentation | Clarify and improve the deprecation documentation. Changes include: - Add "Understanding the Deprecation Table" section explaining how to read the table structure, clarifying that blank cells inherit the valid property name from the row above and that multiple different deprecated names can map to the same valid property (not just formatting variations) - Fix example in output-data.md to show correct outputColumns parameter (recId|seqNumber|seqLength|position|addressLabel|title) that matches the actual CSV output example, making documentation consistent |
| 7.41.0 | 2026-09-21 | Security | Update dependencies to address security vulnerabilities. |
| 7.43.0 | 2026-10-01 | Performance | Increased throughput of the job processing by introducing new worker region. |
| 7.43.0 | 2026-10-01 | Security | Several improvements to internal logging and validation for notification. |
| 7.44.0 | 2026-10-09 | Fixed | Improved handling of UTF-16 encoded job payload. |
| 7.45.0 | 2026-10-22 | Added | Add support for PostalCity property in Address for output mapping. |
| 7.45.0 | 2026-10-22 | Added | Add support for addressNamesVariant as input param. |
Updated 1 hour ago
Did this page help you?